Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.file
Class FileUtils

    java.lang.Object
      com.ejie.r01f.file.FileUtils

public class FileUtils
extends java.lang.Object

Utilidades con ficheros

Constructor Summary
`FileUtils()`

Method Summary
`static void` | `appendToFile(java.io.File file, java.io.InputStream fileContentsIS, boolean createFileIfNotExists)` Añade a un fichero el contenido leido del InputStream
`static java.lang.String` | `composePathFromPathSplitted(java.lang.String[] pathSplitted)` Compone una ruta a partir de la ruta descompuesta del fichero
`static void` | `copyFile(java.io.File srcFile, java.io.File dstFile)` Copia un fichero o directorio - Si se trata de un directorio se copian recursivamente todos sus contenidos - Si el directorio destino no existe, se crea
`static void` | `copyFile(java.io.File srcFile, java.io.File dstFile, boolean forceDstRoot)` Copia un fichero o directorio - Si se trata de un directorio se copian recursivamente todos sus contenidos - Si el directorio destino no existe, se crea
`static void` | `copySingleFile(java.io.File srcFile, java.io.File dstFile)` Copia un fichero sencillo (no un directorio)
`static boolean` | `delete(java.io.File resource)` Borra un fichero o directorio (recursivamente)
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)
`static void` | `renameFile(java.io.File srcFile, java.io.File destFile)` Renombra un fichero
`static void` | `renameFile(java.lang.String srcFile, java.lang.String destFile)` Renombra un fichero
`static int` | `replaceStrInFileNames(java.lang.String pattern, java.lang.String newPattern, java.lang.String initDir, boolean recurseSubDirs)` Busca los ficheros cuyo nombre contenga una cadena y cambia dicha cadena por otra.
`static int` | `replaceStrInFiles(java.lang.String pattern, java.lang.String newPattern, java.lang.String initDir)` Busca los ficheros cuyo contenido contenga una cadena y cambia dicha cadena por otra.
`static void` | `saveFile(java.io.File file, java.io.InputStream fileContentsIS)` Actualiza los contenidos de un fichero, machacando los contenidos actuales o creando un nuevo fichero si no existía anteriormente - Si no existen las carpetas hasta la ruta definida en el fichero, se crean
`static java.lang.String[]` | `splitFileNameAndExtension(java.lang.String fileFullName)` Separa el nombre de un fichero y su extensión
`static java.lang.String[]` | `splitFilePath(java.lang.String fileFullPath)` Separa la ruta completa de un fichero NOTA: El separador de la ruta se toma como el caracter "/"
`static void` | `truncate(java.io.File file, long length)` Trunca un fichero a un tamaño indicado

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### appendToFile

    public static void appendToFile(java.io.File file,
                                    java.io.InputStream fileContentsIS,
                                    boolean createFileIfNotExists)
                             throws java.io.IOException

  Añade a un fichero el contenido leido del InputStream

  Parameters:
    `file` - el fichero al que añadir el contenido
    `fileContentsIS` - contenido a añadir
    `createFileIfNotExists` - true si hay que crear el fichero si este no existe
  Throws:
    `java.io.IOException` - si no existe el fichero o hay algún error al escribir

### truncate

    public static void truncate(java.io.File file,
                                long length)
                         throws java.io.IOException

  Trunca un fichero a un tamaño indicado

  Parameters:
    `file` - el fichero a truncar
    `length` - el tamaño final del fichero
  Throws:
    `java.io.IOException` - si no se puede realizar el truncado

### splitFileNameAndExtension

    public static java.lang.String[] splitFileNameAndExtension(java.lang.String fileFullName)

  Separa el nombre de un fichero y su extensión

  Parameters:
    `fileFullName` - el nombre del fichero completo (con extension y sin el path)
  Returns:
    un array con dos elementos, el primero el nombre del fichero y el segundo la extension

### splitFilePath

    public static java.lang.String[] splitFilePath(java.lang.String fileFullPath)

  Separa la ruta completa de un fichero NOTA: El separador de la ruta se toma como el caracter "/"

  Parameters:
    `fileFullPath` - La ruta completa del fichero (puede incluir o no el nombre con extension)
  Returns:
    Un array en el que cada elemento es una carpeta de la ruta Si la ruta suministrada contiene el nombre del fichero, el último elemento contiene el nombre del fichero con su extensión

### composePathFromPathSplitted

    public static java.lang.String composePathFromPathSplitted(java.lang.String[] pathSplitted)

  Compone una ruta a partir de la ruta descompuesta del fichero

  Parameters:
    `pathSplitted` - Path descompuesto
  Returns:
    La ruta compuesta

### renameFile

    public static void renameFile(java.lang.String srcFile,
                                  java.lang.String destFile)
                           throws java.io.IOException

  Renombra un fichero

  Parameters:
    `srcFile` - El path+nombre fichero origen
    `destFile` - El path+nombre fichero destino
  Throws:
    `IOException:` - Si ocurre una excepción
    `java.io.IOException`

### renameFile

    public static void renameFile(java.io.File srcFile,
                                  java.io.File destFile)
                           throws java.io.IOException

  Renombra un fichero

  Parameters:
    `srcFile` - El fichero origen
    `destFile` - El fichero destino
  Throws:
    `java.io.IOException` - Si ocurre una excepción

### copyFile

    public static void copyFile(java.io.File srcFile,
                                java.io.File dstFile)
                         throws java.io.IOException

  Copia un fichero o directorio - Si se trata de un directorio se copian recursivamente todos sus contenidos - Si el directorio destino no existe, se crea

  Parameters:
    `srcFile` - Fichero o directorio de origen
    `dstFile` - Fichero o directorio de destino
  Throws:
    `java.io.IOException` - si no se puede acceder a alguno de los ficheros

### copyFile

    public static void copyFile(java.io.File srcFile,
                                java.io.File dstFile,
                                boolean forceDstRoot)
                         throws java.io.IOException

  Copia un fichero o directorio - Si se trata de un directorio se copian recursivamente todos sus contenidos - Si el directorio destino no existe, se crea

  Parameters:
    `srcFile` - srcFile Fichero o directorio de origen
    `dstFile` - dstFile Fichero o directorio de destino
    `forceDstRoot` - Forzar que la ruta destino cuelgue de directorio raiz
  Throws:
    `java.io.IOException`

### copySingleFile

    public static void copySingleFile(java.io.File srcFile,
                                      java.io.File dstFile)
                               throws java.io.IOException

  Copia un fichero sencillo (no un directorio)

  Parameters:
    `srcFile` -
    `dstFile` -
  Throws:
    `java.io.IOException` - si el fichero a copiar es un directorio o ocurre algún error

### saveFile

    public static void saveFile(java.io.File file,
                                java.io.InputStream fileContentsIS)
                         throws java.io.IOException

  Actualiza los contenidos de un fichero, machacando los contenidos actuales o creando un nuevo fichero si no existía anteriormente - Si no existen las carpetas hasta la ruta definida en el fichero, se crean

  Parameters:
    `file` - El fichero a actualizar
    `fileContentsIS` - Un inputStream con los contenidos
  Throws:
    `java.io.IOException` - is hay algun error en el proceso

### delete

    public static boolean delete(java.io.File resource)
                          throws java.io.IOException

  Borra un fichero o directorio (recursivamente)

  Parameters:
    `resource` - el fichero o directorio a borrar
  Returns:
    true si se ha borrado correctamente
  Throws:
    `java.io.IOException`

### replaceStrInFileNames

    public static int replaceStrInFileNames(java.lang.String pattern,
                                            java.lang.String newPattern,
                                            java.lang.String initDir,
                                            boolean recurseSubDirs)

  Busca los ficheros cuyo nombre contenga una cadena y cambia dicha cadena por otra. util para renombrar ficheros que empiecen por un codigo de aplicación a otro)

  Parameters:
    `pattern` - La cadena a buscar
    `newPattern` - La cadena con la que sustituir
    `initDir` - El directorio en el que hay que buscar los ficheros
    `recurseSubDirs` - Indica si hay que sustituir tambien en los subdirectorios
  Returns:
    El numero de ficheros que se han cambiado de nombre

### replaceStrInFiles

    public static int replaceStrInFiles(java.lang.String pattern,
                                        java.lang.String newPattern,
                                        java.lang.String initDir)

  Busca los ficheros cuyo contenido contenga una cadena y cambia dicha cadena por otra.

  Parameters:
    `pattern` - La cadena a buscar
    `newPattern` - La cadena con la que sustituir
    `initDir` - El directorio en el que hay que buscar los ficheros
  Returns:
    El numero de ficheros que se han cambiado

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD